30 lines
1.2 KiB
Diff
30 lines
1.2 KiB
Diff
From 4cf3e8bd846a171b4b945f289bf0c6f9c7b5864c Mon Sep 17 00:00:00 2001
|
|
From: Zdenek Kabelac <zkabelac@redhat.com>
|
|
Date: Thu, 9 Sep 2021 18:10:13 +0200
|
|
Subject: [PATCH 3/5] vdo: lvm_import_vdo script needs to continue when vgname
|
|
does not exist
|
|
|
|
When the script cannot find vgname - it needs to continue to run.
|
|
|
|
(cherry picked from commit 9db4ddabc1cf912dee30e0e6293767f01c976a4a)
|
|
---
|
|
scripts/lvm_import_vdo.sh | 2 +-
|
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
|
diff --git a/scripts/lvm_import_vdo.sh b/scripts/lvm_import_vdo.sh
|
|
index 70904f7..e5b30d8 100755
|
|
--- a/scripts/lvm_import_vdo.sh
|
|
+++ b/scripts/lvm_import_vdo.sh
|
|
@@ -262,7 +262,7 @@ convert2lvm_() {
|
|
if [ -z "$VGNAME" ] || [ "$VGNAME" = "$LVNAME" ] ; then
|
|
VGNAME=${DEFAULT_NAME%/*}
|
|
# Find largest matching VG name to our 'default' vgname
|
|
- LASTVGNAME=$(LC_ALL=C "$LVM" vgs -oname -O-name --noheadings -S name=~${VGNAME} | grep -E "$VGNAME[0-9]? ?" | head -1)
|
|
+ LASTVGNAME=$(LC_ALL=C "$LVM" vgs -oname -O-name --noheadings -S name=~${VGNAME} | grep -E "$VGNAME[0-9]? ?" | head -1 || true)
|
|
if test -n "$LASTVGNAME" ; then
|
|
LASTVGNAME=${LASTVGNAME#*${VGNAME}}
|
|
# If the number is becoming too high, try some random number
|
|
--
|
|
1.8.3.1
|
|
|